{{!-- stat block --}}
<div class="npc-data-block">
    <div>
        <table class="npc-data-block" style="padding: 0px;margin: 0px;">


            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.armorclass' }}</label>
                </td>
                <td class="npc-data-input">
                    <table style="border: none;padding: 0px;margin: 0px;">
                        <tr>
                            <td data-tooltip="Specific numeric AC value used">
                                <input type="text" name="system.attributes.ac.value"
                                    value="{{system.attributes.ac.value}}" data-dtype="Number" />
                            </td>

                            {{!-- ascending ac - computed --}}
                            {{#if @root.config.settings.useAscendingAC}}
                            <td data-tooltip="Computed Ascending AC">
                                <input type="text" disabled="disabled" readonly name="{{math 20 "-"system.attributes.ac.value}}" value="{{math 20 "-"system.attributes.ac.value}}" data-dtype="Number" />
                            </td>
                            {{/if}}
                            <td data-tooltip="Notes on AC variances">
                                <input type="text" name="system.acNote" value="{{system.acNote}}" data-dtype="text" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.movement' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.movement" type="text" value="{{system.movement}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.hitdice" class="resource-label">{{ localize 'ARS.hitdice' }}</label>
                </td>
                <td class="npc-data-input">
                    <table style="border: none;padding: 0px;margin: 0px;">
                        <tr>
                            <td data-tooltip="Specific HD value">
                                <input name="system.hitdice" type="text" value="{{system.hitdice}}" />
                            </td>
                            <td data-tooltip="Notes on HD variances">
                                <input name="system.hitdiceNotes" type="text" value="{{system.hitdiceNotes}}" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            {{#if actor.classes}}
                <tr>
                    <td class="npc-data-label">
                        <label for="system.classname" class="resource-label">{{ localize 'ARS.classname' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input name="system.classname" type="text" value="{{system.classname}}" readonly />
                    </td>
                </tr>
            {{else}}
                <tr>
                    <td class="npc-data-label">
                        <label for="system.hpCalculation"
                            class="resource-label">{{ localize 'ARS.hpCalculation' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input name="system.hpCalculation" type="text" value="{{system.hpCalculation}}" />
                    </td>
                </tr>

                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'ARS.hp' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="text" name="system.attributes.hp.value" value="{{system.attributes.hp.value}}"
                            data-dtype="Number" />
                    </td>
                </tr>
            {{/if}}
            <tr>
                <td class="npc-data-label">
                    {{#if (eq @root.config.settings.systemVariant '2')}}
                        <label for="system.attributes.thaco.value" class="resource-label">{{ localize 'ARS.thaco' }} <a
                                class="npc-thaco-calculate"><i class="fa fa-refresh"></i>
                            </a></label>
                    {{else}}
                        <label for="system.matrixTable" class="resource-label"
                            data-tooltip="Combat matrix used to determine AC hit">{{ localize
                        'ARS.attackmatrix' }}</label>
                    {{/if}}
                </td>
                <td class="npc-data-input">
                    {{#if (eq @root.config.settings.systemVariant '2')}}
                        <input name="system.attributes.thaco.value" type="text"
                            value="{{system.attributes.thaco.value}}" data-dtype="Number" />
                    {{else}}
                        <div class="class-attack-matrix-select">
                            <select name="system.matrixTable">
                                {{!-- {{#select system.matrixTable}}
                            {{#if (eq @root.config.settings.systemVariant '1')}}
                            <option value="monster">{{ capfirst (localize 'monster') }}</option>
                            {{else}}
                            <option value="fighter">{{ capfirst (localize 'fighter') }}</option>
                            {{/if}}
                            {{#each (lookup @root.config.matrix @root.config.settings.systemVariant) as |value key|}}
                            <option value="{{key}}">{{capfirst (localize key)}}</option>
                            {{/each}}
                            {{/select}} --}}

                                {{log "@root.attackMatrixIds" @root.attackMatrixIds}}

                                {{#if (eq @root.config.settings.systemVariant '1')}}
                                    <option value="monster">{{ capfirst (localize 'monster') }}</option>
                                    {{selectOptions @root.attackMatrixIds selected=system.matrixTable
                            localize=true}}
                                {{else}}
                                    <option value="fighter">{{ capfirst (localize 'fighter') }}</option>
                                    {{selectOptions @root.attackMatrixIds selected=system.matrixTable
                            localize=true}}
                                {{/if}}
                            </select>

                        </div>
                    {{/if}}

                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.numberAttacks" class="resource-label">{{ localize 'ARS.numberAttacks' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.numberAttacks" type="text" value="{{system.numberAttacks}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.damage" class="resource-label">{{ localize 'ARS.damage' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.damage" type="text" value="{{system.damage}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.specialAttacks"
                        class="resource-label">{{ localize 'ARS.specialAttacks' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.specialAttacks" type="text" value="{{system.specialAttacks}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.specialDefenses"
                        class="resource-label">{{ localize 'ARS.specialDefenses' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.specialDefenses" type="text" value="{{system.specialDefenses}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.magicresist" class="resource-label">{{ localize 'ARS.magicresist'}}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.magicresist" type="text" value="{{system.magicresist}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.attributes.size" class="resource-label">{{ localize 'ARS.size' }}</label>
                </td>
                <td style="border: none;padding: 0px;margin: 0px;">
                    <table style="border: none;padding: 0px;margin: 0px;">
                        <tr>
                            <td class="npc-data-input">
                                <input name="system.sizenote" type="text" value="{{system.sizenote}}" />
                            </td>
                            <td class="npc-data-input">
                                <select class="selector" name="system.attributes.size">
                                    {{selectOptions config.sizeTypes selected=system.attributes.size localize=true}}
                                </select>


                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.alignment' }}</label>
                </td>
                <td class="npc-data-input">
                    <select class="selector" name="system.details.alignment">
                        {{selectOptions config.alignmentTypes selected=system.details.alignment localize=true}}
                    </select>
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label" data-tooltip="ARS.typedescription">{{ localize 'ARS.type' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.details.type" value="{{system.details.type}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.morale" class="resource-label">{{ localize 'ARS.morale' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.morale" type="text" value="{{system.morale}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label for="system.xp.value" class="resource-label">{{ localize 'ARS.xp' }}</label>
                </td>
                <td class="npc-data-input">
                    <input name="system.xp.value" type="text" value="{{system.xp.value}}" data-dtype="String" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.numberAppearing' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.numberAppearing" value="{{system.numberAppearing}}" />
                </td>
            </tr>

            {{#unless (eq @root.config.settings.systemVariant '2')}}
                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'ARS.inlair' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="text" name="system.inlair" value="{{system.inlair}}" />
                    </td>
                </tr>
            {{/unless}}

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.climate' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.climate" value="{{system.climate}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.frequency' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.frequency" value="{{system.frequency}}" />
                </td>
            </tr>

            {{#if (eq @root.config.settings.systemVariant '2')}}
                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'ARS.organization' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="text" name="system.organization" value="{{system.organization}}" />
                    </td>
                </tr>

                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'ARS.diet' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="text" name="system.diet" value="{{system.diet}}" />
                    </td>
                </tr>

                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'ARS.activity' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="text" name="system.activity" value="{{system.activity}}" />
                    </td>
                </tr>
            {{/if}}

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.intelligence' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.intelligence" value="{{system.intelligence}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.treasureType' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.treasureType" value="{{system.treasureType}}" />
                </td>
            </tr>

            <tr>
                <td class="npc-data-label">
                    <label class="resource-label">{{ localize 'ARS.source' }}</label>
                </td>
                <td class="npc-data-input">
                    <input type="text" name="system.details.source" value="{{system.details.source}}" />
                </td>
            </tr>

            {{#if @root.config.settings.usePsionics}}
                <tr>
                    <td class="npc-data-label">
                        <label class="resource-label">{{ localize 'Psionic' }}</label>
                    </td>
                    <td class="npc-data-input">
                        <input type="checkbox" id="cbIsPsionic" name="system.psionics.isPsionic"
                            data-edit="system.psionics.isPsionic" {{#if
                        system.psionics.isPsionic}}checked{{/if}} />
                    </td>
                </tr>
            {{/if}}

        </table>

    </div>

</div>